Index: bootscripts/lfs/sbin/ifdown
===================================================================
--- bootscripts/lfs/sbin/ifdown	(revision f874424cabc59e63f2458c25527f7c18632194a9)
+++ bootscripts/lfs/sbin/ifdown	(revision f874424cabc59e63f2458c25527f7c18632194a9)
@@ -0,0 +1,98 @@
+#!/bin/bash 
+########################################################################
+# Begin /sbin/ifdown
+#
+# Description : Interface Down
+#
+# Authors     : Nathan Coulson - nathan@linuxfromscratch.org
+#               Kevin P. Fleming - kpfleming@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
+#
+# Version     : LFS 7.0
+#
+# Notes       : the IFCONFIG variable is passed to the scripts found
+#               in the /lib/services directory, to indicate what file the
+#               service should source to get interface specifications.
+#
+########################################################################
+
+RELEASE="7.0"
+
+USAGE="Usage: $0 [ -hV ] [--help] [--version] interface"
+VERSTR="LFS ifdown, version ${RELEASE}"
+
+while [ $# -gt 0 ]; do
+   case "$1" in
+      --help | -h)     help="y"; break ;;
+
+      --version | -V)  echo "${VERSTR}"; exit 0 ;;
+
+      -*)              echo "ifup: ${1}: invalid option" >&2
+                       echo "${USAGE}" >& 2
+                       exit 2 ;;
+                    
+      *)               break ;;
+   esac
+done
+
+if [ -n "$help" ]; then
+   echo "${VERSTR}"
+   echo "${USAGE}"
+   echo
+   cat << HERE_EOF
+ifdown is used to bring down a network interface.  The interface
+parameter, e.g. eth0 or eth0:2, must match the trailing part of the
+interface specifications file, e.g. /etc/sysconfig/ifconfig.eth0:2.
+
+HERE_EOF
+   exit 0
+fi
+
+file=/etc/sysconfig/ifconfig.${1}
+
+# Skip backup files
+[ "${file}" = "${file%""~""}" ] || exit 0
+
+. /lib/lsb/init-functions 
+
+if [ ! -r "${file}" ]; then
+   log_warning_msg "${file} is missing or cannot be accessed."
+   exit 1
+fi
+
+. ${file}
+
+if [ "$IFACE" = "" ]; then
+   log_failure_msg "${file} does not define an interface [IFACE]."
+   exit 1
+fi
+
+# This will run the service script, if SERVICE is set
+if [ -n "${SERVICE}" -a -x "/lib/services/${SERVICE}" ]; then
+   if ip link show ${IFACE} > /dev/null 2>&1; then
+      IFCONFIG=${file} /lib/services/${SERVICE} ${IFACE} down
+   else
+      log_warning_msg "Interface ${1} doesn't exist."
+      echo_warning
+   fi
+else
+   MSG="Unable to process ${file}.  Either "
+   MSG="${MSG}the SERVICE variable was not set"
+   MSG="${MSG}or the specified service cannot be executed."
+   log_failure_msg "$MSG"
+   exit 1
+fi
+
+link_status=`ip link show ${IFACE} 2>/dev/null`
+
+if [ -n "${link_status}" ]; then
+   if [ "$(echo "${link_status}" | grep UP)" != "" ]; then
+      if [ "$(ip addr show ${IFACE} | grep 'inet ')" != ""  ]; then
+         log_info_msg "Bringing down the ${IFACE} interface..."
+         ip link set ${IFACE} down
+         evaluate_retval
+      fi
+   fi
+fi
+
+# End /sbin/ifdown
Index: bootscripts/lfs/sbin/ifup
===================================================================
--- bootscripts/lfs/sbin/ifup	(revision f874424cabc59e63f2458c25527f7c18632194a9)
+++ bootscripts/lfs/sbin/ifup	(revision f874424cabc59e63f2458c25527f7c18632194a9)
@@ -0,0 +1,110 @@
+#!/bin/sh
+########################################################################
+# Begin /sbin/ifup
+#
+# Description : Interface Up
+#
+# Authors     : Nathan Coulson - nathan@linuxfromscratch.org
+#               Kevin P. Fleming - kpfleming@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
+#
+# Version     : LFS 7.0
+#
+# Notes       : The IFCONFIG variable is passed to the SERVICE script
+#               in the /lib/services directory, to indicate what file the
+#               service should source to get interface specifications.
+#
+########################################################################
+
+RELEASE="7.0"
+
+USAGE="Usage: $0 [ -hV ] [--help] [--version] interface"
+VERSTR="LFS ifup, version ${RELEASE}"
+
+while [ $# -gt 0 ]; do
+   case "$1" in
+      --help | -h)     help="y"; break ;;
+
+      --version | -V)  echo "${VERSTR}"; exit 0 ;;
+   
+      -*)              echo "ifup: ${1}: invalid option" >&2
+                       echo "${USAGE}" >& 2
+                       exit 2 ;;
+                       
+      *)               break ;;
+   esac
+done
+
+if [ -n "$help" ]; then
+   echo "${VERSTR}"
+   echo "${USAGE}"
+   echo
+   cat << HERE_EOF
+ifup is used to bring up a network interface.  The interface
+parameter, e.g. eth0 or eth0:2, must match the trailing part of the
+interface specifications file, e.g. /etc/sysconfig/ifconfig.eth0:2.
+
+HERE_EOF
+   exit 0
+fi
+
+file=/etc/sysconfig/ifconfig.${1}
+
+# Skip backup files
+[ "${file}" = "${file%""~""}" ] || exit 0
+
+. /lib/lsb/init-functions
+
+log_info_msg "Bringing up the ${1} interface... "
+
+if [ ! -r "${file}" ]; then
+   log_warning_msg "\n${file} is missing or cannot be accessed." 
+   exit 1
+fi
+
+. $file
+
+if [ "$IFACE" = "" ]; then
+   log_failure_msg "\n${file} does not define an interface [IFACE]."
+   exit 1
+fi
+
+# Do not process this service if started by boot, and ONBOOT
+# is not set to yes
+if [ "${IN_BOOT}" = "1" -a "${ONBOOT}" != "yes" ]; then
+   log_info_msg2 "skipped\n"
+   exit 0
+fi
+
+if [ -n "${SERVICE}" -a -x "/lib/services/${SERVICE}" ]; then
+   if [ -z "${CHECK_LINK}"         -o \
+           "${CHECK_LINK}" = "y"   -o \
+           "${CHECK_LINK}" = "yes" -o \
+           "${CHECK_LINK}" = "1" ]; then
+
+      #  Bring up the interface
+      if ip link show ${IFACE} > /dev/null 2>&1; then
+         link_status=`ip link show ${IFACE}`
+
+         if [ -n "${link_status}" ]; then
+            if ! echo "${link_status}" | grep -q UP; then
+               ip link set ${IFACE} up
+            fi
+         fi
+
+      else
+         log_warning_msg "\nInterface ${IFACE} doesn't exist."
+      fi
+   fi
+
+   IFCONFIG=${file} /lib/services/${SERVICE} ${IFACE} up
+
+else
+   MSG="\nUnable to process ${file}.  Either " 
+   MSG="${MSG}the SERVICE variable was not set "
+   MSG="${MSG}or the specified service cannot be executed."
+   log_failure_msg "$MSG"
+   exit 1
+fi
+
+# End /sbin/ifup
Index: bootscripts/lfs/sysconfig/createfiles
===================================================================
--- bootscripts/lfs/sysconfig/createfiles	(revision 103bbd63fe104a52e181da0653c43212b990f5e6)
+++ bootscripts/lfs/sysconfig/createfiles	(revision f874424cabc59e63f2458c25527f7c18632194a9)
@@ -9,19 +9,22 @@
 #
 # Notes       : The syntax of this file is as follows:
-#     if type is equal to "file" or "dir"
-#        <filename> <type> <permissions> <user> <group>
-#     if type is equal to "dev"
-#        <filename> <type> <permissions> <user> <group> <devtype> <major> <minor>
+# 		if type is equal to "file" or "dir"
+#  		<filename> <type> <permissions> <user> <group>
+# 		if type is equal to "dev"
+#  		<filename> <type> <permissions> <user> <group> <devtype> 
+#             <major> <minor>
 #
-#     <filename> is the name of the file which is to be created
-#     <type> is either file, dir, or dev.
-#           file creates a new file
-#           dir creates a new directory
-#           dev creates a new device
-#     <devtype> is either block, char or pipe
-#           block creates a block device
-#           char creates a character deivce
-#           pipe creates a pipe, this will ignore the <major> and <minor> fields
-#     <major> and <minor> are the major and minor numbers used for the device.
+# 		<filename> is the name of the file which is to be created
+# 		<type> is either file, dir, or dev.
+#   			file creates a new file
+#   			dir creates a new directory
+#   			dev creates a new device
+# 		<devtype> is either block, char or pipe
+#   			block creates a block device
+#   			char creates a character deivce
+#   			pipe creates a pipe, this will ignore the <major> and 
+#           <minor> fields
+# 		<major> and <minor> are the major and minor numbers used for 
+#     the device.
 ########################################################################
 
Index: bootscripts/lfs/sysconfig/rc
===================================================================
--- bootscripts/lfs/sysconfig/rc	(revision 103bbd63fe104a52e181da0653c43212b990f5e6)
+++ bootscripts/lfs/sysconfig/rc	(revision f874424cabc59e63f2458c25527f7c18632194a9)
@@ -8,5 +8,5 @@
 # Version     : 00.00
 #
-# Notes       :
+# Notes       :  Not used by LFS, but present for BLFS compatibility
 #
 ########################################################################
Index: bootscripts/lfs/sysconfig/rc.site
===================================================================
--- bootscripts/lfs/sysconfig/rc.site	(revision f874424cabc59e63f2458c25527f7c18632194a9)
+++ bootscripts/lfs/sysconfig/rc.site	(revision f874424cabc59e63f2458c25527f7c18632194a9)
@@ -0,0 +1,61 @@
+# rc.site
+# Optional parameters for boot scripts.
+
+# Distro Information
+DISTRO="Linux From Scratch" # The distro name
+DISTRO_CONTACT="lfs-dev@linuxfromscratch.org" # Bug report address
+DISTRO_MINI="LFS" # Short name used in filenames for distro config
+
+# Define custom colors used in messages printed to the screen
+# These values, if specified here, override the defaults
+#BRACKET="\\033[1;34m" # Blue
+#FAILURE="\\033[1;31m" # Red
+#INFO="\\033[1;36m"    # Cyan
+#NORMAL="\\033[0;39m"  # Grey
+#SUCCESS="\\033[1;32m" # Green
+#WARNING="\\033[1;33m" # Yellow
+
+# Interactive startup
+#IPROMPT="yes" # Whether to display the interactive boot promp
+itime="10"    # The ammount of time (in seconds) to display the prompt
+
+# The total length of the distro welcome string, without escape codes
+wlen=$(echo "Welcome to ${DISTRO}" | wc -c )
+welcome_message="Welcome to ${INFO}${DISTRO}${NORMAL}"
+
+# The total length of the interactive string, without escape codes
+ilen=$(echo "Press 'I' to enter interactive startup" | wc -c )
+i_message="Press '${FAILURE}I${NORMAL}' to enter interactive startup"
+
+# Set scripts to skip the file system check on reboot
+#FASTBOOT=yes
+
+# Skip reading from the console
+#HEADLESS=yes
+
+# Skip cleaning /tmp
+#SKIPTMPCLEAN=yes
+
+# For setclock
+#UTC=1
+#CLOCKPARAMS=
+
+# For consolelog
+#LOGLEVEL=5
+
+# For network
+#HOSTNAME=mylfs
+
+# Delay between TERM and KILL signals at shutdown
+#KILLDELAY=3
+
+# Optional sysklogd parameters
+#SYSKLOGD_PARMS="-m 0"
+
+# Console parameters
+#UNICODE=1
+#KEYMAP="de-latin1"
+#KEYMAP_CORRECTIONS="euro2"
+#FONT="lat0-16 -m 8859-15"
+#LEGACY_CHARSET=
+
Index: general.ent
===================================================================
--- general.ent	(revision 103bbd63fe104a52e181da0653c43212b990f5e6)
+++ general.ent	(revision f874424cabc59e63f2458c25527f7c18632194a9)
@@ -1,4 +1,4 @@
-<!ENTITY version "SVN-20110904">
-<!ENTITY releasedate "Sep 4, 2011">
+<!ENTITY version "SVN-20110918">
+<!ENTITY releasedate "Sep 18, 2011">
 <!ENTITY copyrightdate "1999-2011"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone "7.0">
Index: packages.ent
===================================================================
--- packages.ent	(revision 103bbd63fe104a52e181da0653c43212b990f5e6)
+++ packages.ent	(revision f874424cabc59e63f2458c25527f7c18632194a9)
@@ -299,5 +299,5 @@
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20110903">                 <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20110918">                 <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
Index: process-scripts.sh
===================================================================
--- process-scripts.sh	(revision 103bbd63fe104a52e181da0653c43212b990f5e6)
+++ process-scripts.sh	(revision f874424cabc59e63f2458c25527f7c18632194a9)
@@ -4,6 +4,6 @@
 for s in bootscripts/lfs/init.d/*                    \
          bootscripts/lfs/sysconfig/*                 \
-         bootscripts/lfs/sysconfig/network-devices/* \
-         bootscripts/lfs/sysconfig/network-devices/services/*
+         bootscripts/lfs/lib/services/* \
+         bootscripts/lfs/sbin/*
 do
   script=$(basename $s)
@@ -11,5 +11,5 @@
   # Skip directories
   [ $script == 'network-devices' ] && continue
-  [ $script == 'services'        ] && continue
+  #[ $script == 'services'        ] && continue
 
   # Disambiguate duplicate file names
